Skip to main content
GET
/
v1
/
workflows
List Workflows
curl --request GET \
  --url https://api.cyberdesk.io/v1/workflows \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cyberdesk.io/v1/workflows"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cyberdesk.io/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "main_prompt": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "input_schema": "<string>",
      "output_schema": "<string>",
      "includes_file_exports": false,
      "is_webhooks_enabled": false,
      "terminal_command_allowlist": [
        "<string>"
      ],
      "model_metadata": {
        "main_agent_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "cache_detection_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fallback_model_1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fallback_model_2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "post_run_check_failure_cleanup_prompt": "<string>",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "<string>",
      "includes_input_variables": false,
      "workflow_metadata": {
        "has_unaddressed_error": true,
        "last_errored_run_start": "2023-11-07T05:31:56Z",
        "last_errored_run_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "old_versions": [
        {}
      ],
      "tags": [
        {
          "name": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organization_id": "<string>",
          "order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "emoji": "<string>",
          "color": "<string>",
          "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "is_archived": false,
          "workflow_count": 123,
          "group": {
            "name": "<string>",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "organization_id": "<string>",
            "order": 123,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z",
            "description": "<string>",
            "emoji": "<string>",
            "color": "<string>"
          }
        }
      ],
      "post_run_checks": [
        {
          "name": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organization_id": "<string>",
          "order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "file_names": [
            "<string>"
          ],
          "file_name_regex": "<string>",
          "expected_match_count": 2,
          "expected_match_count_ref": "<string>",
          "loop_input": "<string>",
          "loop_item_filename_template": "<string>",
          "allow_missing_attachments": false,
          "check_prompt": "<string>",
          "model": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ]
    }
  ],
  "total": 123,
  "skip": 123,
  "limit": 123,
  "included": [
    {
      "type": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

search
string | null

Search workflows by id or name (case-insensitive substring match)

created_at_from
string<date-time> | null

Filter workflows created at or after this ISO timestamp (UTC)

created_at_to
string<date-time> | null

Filter workflows created at or before this ISO timestamp (UTC)

updated_at_from
string<date-time> | null

Filter workflows updated at or after this ISO timestamp (UTC)

updated_at_to
string<date-time> | null

Filter workflows updated at or before this ISO timestamp (UTC)

tag_ids
string | null

Comma-separated list of tag UUIDs. Returns workflows with ALL specified tags (AND logic).

include_tags
boolean
default:false

Include tags in the response

include
string | null

Comma-separated list of related resources to include. Allowed values: tags, post_run_checks. If provided, overrides legacy include_tags.

skip
integer
default:0
Required range: x >= 0
limit
integer
default:100
Required range: 1 <= x <= 1000

Response

Successful Response

items
WorkflowResponse · object[]
required
total
integer
required
skip
integer
required
limit
integer
required
included
IncludedResource · object[] | null

Related resources requested via the include query parameter